Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005363 [JEDI VCL] 00 JVCL Components major always 2010-10-13 14:03 2012-02-29 16:55
Reporter ricolebo View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005363: JvMemoryDataset and type timeStamp
Description In version 3.40 of JVCL the type timeStamp in the JvMemoryDataset doesn't work

In this version, the type timeStamp was add to the Const ftSupported (line 374 of the unit) and cause error. (in previous versions, this type was ignored)

To see this error :

connect to a database and do this :

SQLDataSet1.CommandText:='SELECT CAST(''now'' as TIMESTAMP) AS MYTIMESTAMP FROM RDB$DATABASE';
  SQLDataSet1.Active:=true;
  JvMemoryData1.Active:=false;
  JvMemoryData1.CopyStructure(SQLDataSet1);
  JvMemoryData1.LoadFromDataSet(SQLDataSet1,-1,jvmemorydataset.lmCopy,true);
  JvMemoryData1.Active:=true;
  JvMemoryData1.First;
  MessageDlg(JvMemoryData1.Fields[0].AsString, mtWarning, [mbOK], 0); => Error

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018039)
obones (administrator)
2010-11-09 14:20

Please try with the latest SVN content.
If this is still here, please provide the zipped sources of a sample application showing this.
(0018195)
AHUser (developer)
2010-11-28 00:15

Fixed in svn revision 12918.

- Issue History
Date Modified Username Field Change
2010-10-13 14:03 ricolebo New Issue
2010-11-09 14:20 obones Note Added: 0018039
2010-11-09 14:20 obones Status new => feedback
2010-11-28 00:15 AHUser Note Added: 0018195
2010-11-28 00:15 AHUser Status feedback => resolved
2010-11-28 00:15 AHUser Fixed in Version => Daily / SVN
2010-11-28 00:15 AHUser Resolution open => fixed
2010-11-28 00:15 AHUser Assigned To => AHUser
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker